# dr-print-post

print

## Install

```bash
npm install dr-print-post
npx cap sync
```

## API

<docgen-index>

* [`echo(...)`](#echo)
* [`verify()`](#verify)
* [`checkPrintStatus()`](#checkprintstatus)
* [`print(...)`](#print)
* [`getDeviceInfo()`](#getdeviceinfo)

</docgen-index>

<docgen-api>
<!--Update the source file JSDoc comments and rerun docgen to update the docs below-->

### echo(...)

```typescript
echo(options: { value: string; }) => Promise<{ value: string; }>
```

| Param         | Type                            |
| ------------- | ------------------------------- |
| **`options`** | <code>{ value: string; }</code> |

**Returns:** <code>Promise&lt;{ value: string; }&gt;</code>

--------------------


### verify()

```typescript
verify() => Promise<{ value: string; }>
```

查看设备状态 0正常 1异常

**Returns:** <code>Promise&lt;{ value: string; }&gt;</code>

--------------------


### checkPrintStatus()

```typescript
checkPrintStatus() => Promise<{ value: string; }>
```

查询打印机状态 0正常 1异常

**Returns:** <code>Promise&lt;{ value: string; }&gt;</code>

--------------------


### print(...)

```typescript
print(options: { value: string; }) => Promise<{ value: string; }>
```

打印

| Param         | Type                            |
| ------------- | ------------------------------- |
| **`options`** | <code>{ value: string; }</code> |

**Returns:** <code>Promise&lt;{ value: string; }&gt;</code>

--------------------


### getDeviceInfo()

```typescript
getDeviceInfo() => Promise<{ value: string; }>
```

获取设备信息

**Returns:** <code>Promise&lt;{ value: string; }&gt;</code>

--------------------

</docgen-api>
